# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdetoys
Summary:	K Desktop Environment - Toys and Amusements
Version:	2.2.1
Release:	1mdk
Epoch:		1
URL:		http://www.kde.org/

Source: 	%name-%version.tar.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kteatime

%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:	autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs kdelibs-devel kdesupport-devel
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1
BuildRequires:	libpng2 libqt2 libqt2-devel libtermcap m4 mktemp
BuildRequires:	pam popt readline rpm-build texinfo zlib1 kdebase-devel
%endif

%description
Toys for the K Desktop Environment.

Software included in this package are:
   - amor
   - kmoon: displays various phases of the moon
   - kworldwatch: displays where in the world it is light and dark
     depending on time
   - kodo: a mouse odometer which shows how far your mouse has traveled
   - kteatime


%package devel
Summary:	Headers files for kdetoys
Group:		Development/KDE and QT
PreReq:		%name = %version-%release

%description devel
Headers files for kdetoys.


%package static-devel
Summary:	Static libraries for kdetoys
Group:		Development/KDE and QT
PreReq:		%name-devel = %version-%release

%description static-devel
Static libraries for kdetoys.


%prep
%setup -q
make -f Makefile.cvs

%build
if [ %buildfor = 7.2 ] || [ %buildfor = 8.0 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --disable-rpath
fi

if [ %buildfor = 8.1 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
fi

%make

%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu entries
install -d %buildroot/%_menudir/

# %%_datadir/System/ScreenSavers/
kdedesktop2mdkmenu.pl kdebase .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/ktux.desktop %buildroot/%_menudir/kdetoys-ktux kde

# %%_datadir/Toys/
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/amor.desktop %buildroot/%_menudir/kdetoys-amor       
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kmoon.desktop %buildroot/%_menudir/kdetoys-kmoon kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kodo.desktop %buildroot/%_menudir/kdetoys-kodo kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kteatime.desktop %buildroot/%_menudir/kdetoys-kteatime kde
#kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kworldclock.desktop %buildroot/%_menudir/kdetoys-kworldclock


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/amor/
%doc %_docdir/HTML/en/amor/common
%doc %_docdir/HTML/en/amor/*.docbook
%doc %_docdir/HTML/en/amor/*.bz2
%doc %_docdir/HTML/en/amor/*.png
#
#
%dir %_docdir/HTML/en/kmoon/
%doc %_docdir/HTML/en/kmoon/carlosmail
%doc %_docdir/HTML/en/kmoon/common
%doc %_docdir/HTML/en/kmoon/*.docbook
%doc %_docdir/HTML/en/kmoon/*.bz2
#
#
%dir %_docdir/HTML/en/kodo/
%doc %_docdir/HTML/en/kodo/common
%doc %_docdir/HTML/en/kodo/*.docbook
%doc %_docdir/HTML/en/kodo/*.png
%doc %_docdir/HTML/en/kodo/*.bz2
#
#
%dir %_docdir/HTML/en/kscore/
%doc %_docdir/HTML/en/kscore/common
%doc %_docdir/HTML/en/kscore/*.docbook
%doc %_docdir/HTML/en/kscore/*.png
%doc %_docdir/HTML/en/kscore/*.bz2
#
#
%dir %_docdir/HTML/en/kteatime/
%doc %_docdir/HTML/en/kteatime/common
%doc %_docdir/HTML/en/kteatime/*.docbook
%doc %_docdir/HTML/en/kteatime/*.png
%doc %_docdir/HTML/en/kteatime/*.bz2
#
#
#dir %_docdir/HTML/en/kworldclock/
#%doc %_docdir/HTML/en/kworldclock/common
#%doc %_docdir/HTML/en/kworldclock/*.docbook
#%doc %_docdir/HTML/en/kworldclock/*.bz2
#
#
#
%_bindir/amor
%_bindir/kmoon
%_bindir/kodo
%_bindir/kscore_excite.pl
%_bindir/kteatime
%_bindir/ktux
#
#
#
%_libdir/libkeyesapplet.la
%_libdir/libkeyesapplet.so*
%_libdir/libkfifteenapplet.la
%_libdir/libkscoreapplet.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop
#
#
%dir %_datadir/applnk/Toys/
%_datadir/applnk/Toys/kteatime.desktop
%_datadir/applnk/Toys/kodo.desktop
%_datadir/applnk/Toys/kmoon.desktop
%_datadir/applnk/Toys/amor.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/amor/
%_datadir/apps/amor/billyrc
%_datadir/apps/amor/blobrc
%_datadir/apps/amor/brc
%_datadir/apps/amor/bsdrc
%_datadir/apps/amor/eyesrc
%_datadir/apps/amor/nekorc
%_datadir/apps/amor/ghostrc
%_datadir/apps/amor/pingurc
%_datadir/apps/amor/taorc
%_datadir/apps/amor/tips
%_datadir/apps/amor/tips-en
%_datadir/apps/amor/tuxrc
%_datadir/apps/amor/wormrc
#
%dir %_datadir/apps/amor/b/
%_datadir/apps/amor/b/*.xpm
#
%dir %_datadir/apps/amor/blob/
%_datadir/apps/amor/blob/*.xpm
#
%dir %_datadir/apps/amor/eyes/
%_datadir/apps/amor/eyes/*.xpm
#
%dir %_datadir/apps/amor/ghost/
%_datadir/apps/amor/ghost/*.xpm
#
%dir %_datadir/apps/amor/neko/
%_datadir/apps/amor/neko/*.xpm
#
%dir %_datadir/apps/amor/pingu/
%_datadir/apps/amor/pingu/*.xpm
#
%dir %_datadir/apps/amor/static/
%_datadir/apps/amor/static/*.png
#
%dir %_datadir/apps/amor/tao/
%_datadir/apps/amor/tao/*.xpm
#
%dir %_datadir/apps/amor/worm/
%_datadir/apps/amor/worm/*.xpm
#
#
#dir %_datadir/apps/kdesktop/
#%dir %_datadir/apps/kdesktop/programs/
#%_datadir/apps/kdesktop/programs/*.desktop
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/eyesapplet.desktop
%_datadir/apps/kicker/applets/kfifteenapplet.desktop
%_datadir/apps/kicker/applets/kscoreapplet.desktop
#
#
%dir %_datadir/apps/kmoon/
%dir %_datadir/apps/kmoon/pics/
%_datadir/apps/kmoon/pics/*.png
#
#
%dir %_datadir/apps/kodo/
%_datadir/apps/kodo/*.png
#
#
%dir %_datadir/apps/ktux/
%dir %_datadir/apps/ktux/sprites/
%_datadir/apps/ktux/sprites/spriterc
%_datadir/apps/ktux/sprites/*.png
#
#
#%dir %_datadir/apps/kworldclock/
#%_datadir/apps/kworldclock/zone.tab
#
#
#%dir %_datadir/apps/kworldclock/pics/
#%_datadir/apps/kworldclock/pics/*.png
#%_datadir/apps/kworldclock/pics/*.xpm
#
#%dir %_datadir/apps/kworldclock/maps/
#%dir %_datadir/apps/kworldclock/maps/depths/
#%_datadir/apps/kworldclock/maps/depths/*.desktop
#%_datadir/apps/kworldclock/maps/depths/*.jpg
#
#
#
%dir %_iconsdir/
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png

%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png


%files devel
%defattr(-,root,root,-)
%_includedir/*.h


%files static-devel
%defattr(-,root,root,-)
%_libdir/libkeyesapplet.a
%_libdir/libkfifteenapplet.a


%changelog
* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Wed Sep 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-3mdk
- Rebuild with new kdelibs (remove dependance on fam)
- Update from KDE_2_2_BRANCH
- Remove kworlclock (crash all time)

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Mon Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- KDE 2.2 pre1

* Sat Jun 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2

* Thu May 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.3mdk
- Add build requires

* Fri May 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.2mdk
- Fix menu entry for amor 
 
* Thu Apr 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- kde 2.2alpha1

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Add BuildRequires

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010220.1mdk
- Enable --disable-debug

* Sat Feb 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010209.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code
- LMDK menu entries cleaned

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries nearly cleaned

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up

* Thu Jan 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010119.1mdk
- Update code

* Thu Jan 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010111-1mdk
- Update code

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001214-1mdk
- Update code

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.2000123-1mdk
- Update code

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Rebuilt for a gcc 2.96 compile

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Rebuilt Mandrake 7.2 update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Rebuilt for gcc 2.96
- Updated code to pre 2.1 CVS

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Rebuilt for gcc 2.96

* Wed Oct 25 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Fix use of %%prefix
- Macros
- Human readable Description (and add missing software)
- Don't %%clean_menus & %%updates_menus in %postun
- Fix %%files
- Fix dangling symlink
- Spec clean up

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to KDE 2.0 Release

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to Release Candidate 1 for KDE2

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Wed Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Tue Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code to see if it fixes bug reported by Francis

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code

* Mon Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Added requires kde to some apps per request from David Baudens

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Updated code
- Changed menu creation to use automated tool

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code
- Fixed a few rpmlint errors

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code
- Removed file list generation
- menus entries

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- added obsolete for kteatime

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- added obsolete for kteatime
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Update code
- move to /usr
- Change package name

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Fixed a few things in spec file

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code to more recent snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated spec file for Mandrake
- Updated code to a more recent snapshot
